All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Interface SchemaInterface

All Known Implementing Classes:
  Schema

    @SASScope(value="ALL")
    public interface SchemaInterface

Represents the metadata in a multidimensional schema. The schema is the top level element that is surfaced by the OLAP metadata interfaces. In addition to the basic information about the schema itself, the parent and child interfaces can also be retrieved directly from the SchemaInterface. In this case, the schema represents the top level, so no parent elements are available; however, an array of cubes can be retrieved. The schema may also be bound to an instance of the MetadataInterface, which is accessible from the getMetadata() method.

See Also:
  `MetadataInterface`, `CubeInterface`

Method Summary
`abstract CubeInterface[]` | `getCubes()` Returns the cubes associated with this schema.
`abstract Filter` | `getFilter()` Returns a copy of the Filter object that was used to obtain this SchemaInterface.
`abstract java.lang.String` | `getLabel()` Returns the schema's label.
`abstract MetadataInterface` | `getMetadata()` Returns an instance of the MetadataInterface that is associated with this schema.
`abstract java.lang.String` | `getName()` Returns the schema's name.

Method Detail

### getName

    java.lang.String getName()
                             throws OLAPException

  Returns the schema's name. The name of the schema.

  Returns:
    The schema's name.
  Throws:
    `OLAPException` - if a database error occurs

### getLabel

    java.lang.String getLabel()
                              throws OLAPException

  Returns the schema's label. The label is descriptive text about the schema, i.e. a caption.

  Returns:
    The schema's label.
  Throws:
    `OLAPException` - if a database error occurs

### getCubes

    CubeInterface[] getCubes()
                             throws OLAPException

  Returns the cubes associated with this schema.

  Returns:
    An array of cubes associated with this schema.
  Throws:
    `OLAPException` - if a database error occurs

### getFilter

    Filter getFilter()
                     throws OLAPException

  Returns a copy of the Filter object that was used to obtain this SchemaInterface. The filter object may be applied explicitly via the MetadataInterface, or it may be created implicitly via a getSchemas() method.

  Returns:
    A copy of the Filter object that was used to obtain this SchemaInterface
  Throws:
    `OLAPException` - if a database error occurs

### getMetadata

    MetadataInterface getMetadata()
                                  throws OLAPException

  Returns an instance of the MetadataInterface that is associated with this schema. Null if the schema is not bound to a metadata object.

  Returns:
    The metadata object associated with this schema.
  Throws:
    `OLAPException` - if a database error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.